Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiBeacon

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              net.minecraft.src.GuiContainer
                  net.minecraft.src.GuiBeacon

    public class GuiBeacon

extends GuiContainer

Field Summary

Fields inherited from class net.minecraft.src.GuiContainer
`inventorySlots`

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, guiParticles, height, width`

Constructor Summary
`GuiBeacon(InventoryPlayer par1, TileEntityBeacon par2)`

Method Summary
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
`void` | `updateScreen()` Called from the main game loop to update the screen.

Methods inherited from class net.minecraft.src.GuiContainer
`doesGuiPauseGame, drawScreen, onGuiClosed`

Methods inherited from class net.minecraft.src.GuiScreen
`confirmClicked, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiBeacon

    public GuiBeacon(InventoryPlayer par1,
                     TileEntityBeacon par2)

Method Detail

### initGui

    public void initGui()

  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `GuiContainer`

### updateScreen

    public void updateScreen()

  Called from the main game loop to update the screen.

  Overrides:
    `updateScreen` in class `GuiContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD